API / Reference / Bank Accounts
Get bank transaction
GET
https://api.light.inc/v1/bank-accounts/{bankAccountId}/bank-transactions/{bankTransactionId}
Returns a specific bank transaction by ID
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Path parameters
-
bankAccountIdstring · uuidrequired -
bankTransactionIdstring · uuidrequired
Response
-
idstring · uuidUnique identifier for the bank transaction
-
bankAccountIdstring · uuidID of the bank account this transaction belongs to
-
datestring · dateTransaction date
-
amountinteger · int64Transaction amount in minor units (e.g. cents)
-
dcSignstringDebit/credit sign
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
DC -
reconciliationStatusstringReconciliation status
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
EXCLUDEDMATCHEDUNMATCHED -
namestringTransaction name / payee
-
memostringTransaction memo / description
-
referencestringTransaction reference
-
transactionIdstringExternal transaction identifier for idempotency
-
createdAtstring · date-timeTimestamp when the transaction was created